ModuleWriter (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.module.ModuleWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.module
Class ModuleWriter

    java.lang.Object
      com.meyling.principia.module.ModuleWriter

public final class ModuleWriter
extends Object

This class writes a module file.

Version:
  $Revision: 1.4 $
Author:
  Michael Meyling

Constructor Summary
`ModuleWriter()`

Method Summary
`static void` | `writeFormula(int level, Argument argument, Output output)` Write a formula (or its sub arguments) into an output.
`static void` | `writeModule(Module module, Output output)` Write a module.
`static void` | `writeProofLine(ProofLine line, Output output)` Write a `ProofLine` into an output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleWriter

    public ModuleWriter()

Method Detail

### writeModule

    public static final void writeModule(Module module,
                                         Output output)

  Write a module.

  Parameters:
    `module` - write this module
    `output` - to this output
  Throws:
    `ParsingException` - if any parsing error occurs

### writeProofLine

    public static final void writeProofLine(ProofLine line,
                                            Output output)

  Write a `ProofLine` into an output.

  Parameters:
    `line` - write this proof line
    `output` - destination for resulting output

### writeFormula

    public static final void writeFormula(int level,
                                          Argument argument,
                                          Output output)

  Write a formula (or its sub arguments) into an output.

  Parameters:
    `level` - number of tabs before formula starts
    `argument` - convert this
    `output` - destination for resulting output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.